Home » RDBMS Server » Networking and Gateways » listener and database versions (listener 12.1, db 12.2)
listener and database versions [message #667449] Fri, 29 December 2017 09:50 Go to next message
John Watson
Messages: 7663
Registered: January 2010
Location: Global Village
Senior Member
I have question about interoperating different releases of the database and the listener.

A higher release of the listener can service connection requests for a lower release of the database. For example, a 12.x listener can work with an 11.x database. I thought that it worked the other way, too. But right now, I cannot get a 12.2 database to register dynamically with a 12.1 listener. The listener log shows this when I try:
<msg time='2017-12-29T10:33:07.682-05:00' org_id='oracle' comp_id='tnslsnr'
 type='UNKNOWN' level='16' host_id='ip-172-31-214-69.ec2.internal'
 host_addr='172.31.214.69'>
 <txt>29-DEC-2017 10:33:07 * service_died * 1183
 </txt>
</msg>
I can add the 12.2 instance to the sid_list for the 12.1 listener and it does then permit connections, but that isn't really acceptable.

I've found a couple of references in MOS and forums stating that the listener must be equal to or higher than the database, but they do not look particularly authoritative to me. Can anyone confirm this? Could it be a recent change? I'm sure I remember using a lower release listener for a higher release databases before.

Thank you for any insight.
Re: listener and database versions [message #667454 is a reply to message #667449] Sat, 30 December 2017 08:00 Go to previous messageGo to next message
EdStevens
Messages: 1005
Registered: September 2013
Senior Member
John Watson wrote on Fri, 29 December 2017 09:50
I have question about interoperating different releases of the database and the listener.

<snip>
I've found a couple of references in MOS and forums stating that the listener must be equal to or higher than the database, but they do not look particularly authoritative to me.
And how would some stranger responding to this message be any more authoritative than your other sources?

Since you have installed 12.2, what's keeping you from simply running your listener from the new 12.2 home?
Re: listener and database versions [message #667456 is a reply to message #667454] Sat, 30 December 2017 10:25 Go to previous messageGo to next message
John Watson
Messages: 7663
Registered: January 2010
Location: Global Village
Senior Member
Thank you for replying. An "authoritative" source would be someone with whom I am familiar and whose skills I respect.

The problem with running a 12.2 listener is that this is a quite complicated upgrade (three databases, conversion to multitenant, some APEX/ORDS hassles too) with minimal downtime permitted and (due to licensing limitations) all tests must be done on the production machine. It would be easier if I could leave the production listener unchanged during the development phase.
Re: listener and database versions [message #667463 is a reply to message #667456] Sun, 31 December 2017 08:21 Go to previous messageGo to next message
EdStevens
Messages: 1005
Registered: September 2013
Senior Member
Sorry, John. I didn't notice you were the OP. Somehow the question seemed out of character for you. Razz

Even with what you've said, I'd still go ahead and upgrade the listener. I'm still in the middle of an 11.2.0.4 to 12.1.0.2 upgrade, and in all cases, very shortly after I've installed the 12.1 software on a machine - well before upgrading the db's, I start running the listener out of the 12.1 home. No down time for the databases (and any existing connections) and only a couple of seconds of no listener to make new connections. And I put the few commands in a script to minimize even that - not depending on how fast I can type a command and enter it.

!#/bin/sh
export ORACLE_HOME=<old home>
$ORACLE_HOME/bin/lsnrctl stop
export ORACLE_HOME=<new home>
$ORACLE_HOME/bin/lsnrctl start
Re: listener and database versions [message #667508 is a reply to message #667449] Wed, 03 January 2018 01:40 Go to previous messageGo to next message
Alien
Messages: 278
Registered: June 1999
Senior Member
Hi John,

we had a similar setup working for a development project for a while. It worked out of the box for us.
Have you tried tracing the LREG process?

Regards,

Arian
Re: listener and database versions [message #667513 is a reply to message #667508] Wed, 03 January 2018 05:16 Go to previous messageGo to next message
John Watson
Messages: 7663
Registered: January 2010
Location: Global Village
Senior Member
Thank you for replying, Arian. I do now have the answer. Buried in the docs https://docs.oracle.com/database/121/NETAG/listenercfg.htm#NETAG292
Quote:
Note:

The release of the listener must be the same as or later than the latest release of all Oracle databases being serviced through the listener.
I don't know when this change happened. Perhaps they have finally implemented something that was documented a while back. Apparently it has caused a lot of trouble for people using the Connection Manager in a big way.



Re: listener and database versions [message #667826 is a reply to message #667463] Thu, 18 January 2018 08:16 Go to previous messageGo to next message
John Watson
Messages: 7663
Registered: January 2010
Location: Global Village
Senior Member
I have just discovered why it was a bad idea to convert the whole environment to one 12.2 listener, Ed. It means that I can't apply the the January PSU to my test 12.2 environment without shutting it down! I can't ask for downtime on prod because of applying a PSU to test Sad
Much better to have one listener per database, one Oracle Home per database. I know many people don't like running multiple listeners on one machine, but it does make managing upgrades much easier.



Re: listener and database versions [message #667830 is a reply to message #667826] Fri, 19 January 2018 06:23 Go to previous messageGo to next message
EdStevens
Messages: 1005
Registered: September 2013
Senior Member
John Watson wrote on Thu, 18 January 2018 08:16
I have just discovered why it was a bad idea to convert the whole environment to one 12.2 listener, Ed. It means that I can't apply the the January PSU to my test 12.2 environment without shutting it down! I can't ask for downtime on prod because of applying a PSU to test Sad
Much better to have one listener per database, one Oracle Home per database. I know many people don't like running multiple listeners on one machine, but it does make managing upgrades much easier.



John, noooo!!!!! Smile

I see your point in this case, but why is prod and test running on the same host to begin with? I have always understood that certain upgrade situations would make it desirable to run multiple listeners, but I'd hate for people to see that and take it as a blanket recommendation instead of seeing it as a very specific solution to a very specific problem.
Re: listener and database versions [message #667834 is a reply to message #667830] Fri, 19 January 2018 09:30 Go to previous messageGo to next message
John Watson
Messages: 7663
Registered: January 2010
Location: Global Village
Senior Member
Quote:
why is prod and test running on the same host to begin with?
Licences.....
Re: listener and database versions [message #667850 is a reply to message #667834] Sat, 20 January 2018 08:26 Go to previous messageGo to next message
EdStevens
Messages: 1005
Registered: September 2013
Senior Member
John Watson wrote on Fri, 19 January 2018 09:30
Quote:
why is prod and test running on the same host to begin with?
Licences.....
Ah. OK, I'll concede you have that special case to justify multiple listeners and homes. Smile
Re: listener and database versions [message #671195 is a reply to message #667449] Thu, 16 August 2018 11:55 Go to previous messageGo to next message
peterparker
Messages: 3
Registered: August 2018
Junior Member
This is the most updated issues and is generally going to happen so just concerned with the experts.
Re: listener and database versions [message #671232 is a reply to message #671195] Fri, 17 August 2018 09:40 Go to previous messageGo to next message
EdStevens
Messages: 1005
Registered: September 2013
Senior Member
peterparker wrote on Thu, 16 August 2018 11:55
This is the most updated issues and is generally going to happen so just concerned with the experts.

Huh?

??????
Re: listener and database versions [message #671234 is a reply to message #671232] Fri, 17 August 2018 09:54 Go to previous message
Michel Cadot
Messages: 65961
Registered: March 2007
Location: Nanterre, France, http://...
Senior Member
Account Moderator

Forget him, he is just a spammer and now banned.

Previous Topic: How connect Oracle Forms with sql server
Next Topic: Connections to this server version are no longer supported
Goto Forum:
  


Current Time: Wed Nov 14 20:22:29 CST 2018